Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
76.0.0.0
Broadcast address
79.255.255.255
First usable
76.0.0.1
Last usable
79.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C000000 · Integer 1275068416 to 1342177279
Reverse DNS zones
76.in-addr.arpa
77.in-addr.arpa
78.in-addr.arpa
79.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000000.00000000.0000000076.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01001100.00000000.00000000.0000000076.0.0.0
Broadcast01001111.11111111.11111111.1111111179.255.255.255
Split into smaller subnets/14

76.0.0.0/6 makes 256 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.0.0.0/1476.0.0.1 to 76.3.255.25476.3.255.255262,142
276.4.0.0/1476.4.0.1 to 76.7.255.25476.7.255.255262,142
376.8.0.0/1476.8.0.1 to 76.11.255.25476.11.255.255262,142
476.12.0.0/1476.12.0.1 to 76.15.255.25476.15.255.255262,142
576.16.0.0/1476.16.0.1 to 76.19.255.25476.19.255.255262,142
676.20.0.0/1476.20.0.1 to 76.23.255.25476.23.255.255262,142
776.24.0.0/1476.24.0.1 to 76.27.255.25476.27.255.255262,142
876.28.0.0/1476.28.0.1 to 76.31.255.25476.31.255.255262,142
976.32.0.0/1476.32.0.1 to 76.35.255.25476.35.255.255262,142
1076.36.0.0/1476.36.0.1 to 76.39.255.25476.39.255.255262,142
1176.40.0.0/1476.40.0.1 to 76.43.255.25476.43.255.255262,142
1276.44.0.0/1476.44.0.1 to 76.47.255.25476.47.255.255262,142
1376.48.0.0/1476.48.0.1 to 76.51.255.25476.51.255.255262,142
1476.52.0.0/1476.52.0.1 to 76.55.255.25476.55.255.255262,142
1576.56.0.0/1476.56.0.1 to 76.59.255.25476.59.255.255262,142
1676.60.0.0/1476.60.0.1 to 76.63.255.25476.63.255.255262,142
1776.64.0.0/1476.64.0.1 to 76.67.255.25476.67.255.255262,142
1876.68.0.0/1476.68.0.1 to 76.71.255.25476.71.255.255262,142
1976.72.0.0/1476.72.0.1 to 76.75.255.25476.75.255.255262,142
2076.76.0.0/1476.76.0.1 to 76.79.255.25476.79.255.255262,142
2176.80.0.0/1476.80.0.1 to 76.83.255.25476.83.255.255262,142
2276.84.0.0/1476.84.0.1 to 76.87.255.25476.87.255.255262,142
2376.88.0.0/1476.88.0.1 to 76.91.255.25476.91.255.255262,142
2476.92.0.0/1476.92.0.1 to 76.95.255.25476.95.255.255262,142
2576.96.0.0/1476.96.0.1 to 76.99.255.25476.99.255.255262,142
2676.100.0.0/1476.100.0.1 to 76.103.255.25476.103.255.255262,142
2776.104.0.0/1476.104.0.1 to 76.107.255.25476.107.255.255262,142
2876.108.0.0/1476.108.0.1 to 76.111.255.25476.111.255.255262,142
2976.112.0.0/1476.112.0.1 to 76.115.255.25476.115.255.255262,142
3076.116.0.0/1476.116.0.1 to 76.119.255.25476.119.255.255262,142
3176.120.0.0/1476.120.0.1 to 76.123.255.25476.123.255.255262,142
3276.124.0.0/1476.124.0.1 to 76.127.255.25476.127.255.255262,142
3376.128.0.0/1476.128.0.1 to 76.131.255.25476.131.255.255262,142
3476.132.0.0/1476.132.0.1 to 76.135.255.25476.135.255.255262,142
3576.136.0.0/1476.136.0.1 to 76.139.255.25476.139.255.255262,142
3676.140.0.0/1476.140.0.1 to 76.143.255.25476.143.255.255262,142
3776.144.0.0/1476.144.0.1 to 76.147.255.25476.147.255.255262,142
3876.148.0.0/1476.148.0.1 to 76.151.255.25476.151.255.255262,142
3976.152.0.0/1476.152.0.1 to 76.155.255.25476.155.255.255262,142
4076.156.0.0/1476.156.0.1 to 76.159.255.25476.159.255.255262,142
4176.160.0.0/1476.160.0.1 to 76.163.255.25476.163.255.255262,142
4276.164.0.0/1476.164.0.1 to 76.167.255.25476.167.255.255262,142
4376.168.0.0/1476.168.0.1 to 76.171.255.25476.171.255.255262,142
4476.172.0.0/1476.172.0.1 to 76.175.255.25476.175.255.255262,142
4576.176.0.0/1476.176.0.1 to 76.179.255.25476.179.255.255262,142
4676.180.0.0/1476.180.0.1 to 76.183.255.25476.183.255.255262,142
4776.184.0.0/1476.184.0.1 to 76.187.255.25476.187.255.255262,142
4876.188.0.0/1476.188.0.1 to 76.191.255.25476.191.255.255262,142
4976.192.0.0/1476.192.0.1 to 76.195.255.25476.195.255.255262,142
5076.196.0.0/1476.196.0.1 to 76.199.255.25476.199.255.255262,142
5176.200.0.0/1476.200.0.1 to 76.203.255.25476.203.255.255262,142
5276.204.0.0/1476.204.0.1 to 76.207.255.25476.207.255.255262,142
5376.208.0.0/1476.208.0.1 to 76.211.255.25476.211.255.255262,142
5476.212.0.0/1476.212.0.1 to 76.215.255.25476.215.255.255262,142
5576.216.0.0/1476.216.0.1 to 76.219.255.25476.219.255.255262,142
5676.220.0.0/1476.220.0.1 to 76.223.255.25476.223.255.255262,142
5776.224.0.0/1476.224.0.1 to 76.227.255.25476.227.255.255262,142
5876.228.0.0/1476.228.0.1 to 76.231.255.25476.231.255.255262,142
5976.232.0.0/1476.232.0.1 to 76.235.255.25476.235.255.255262,142
6076.236.0.0/1476.236.0.1 to 76.239.255.25476.239.255.255262,142
6176.240.0.0/1476.240.0.1 to 76.243.255.25476.243.255.255262,142
6276.244.0.0/1476.244.0.1 to 76.247.255.25476.247.255.255262,142
6376.248.0.0/1476.248.0.1 to 76.251.255.25476.251.255.255262,142
6476.252.0.0/1476.252.0.1 to 76.255.255.25476.255.255.255262,142
6577.0.0.0/1477.0.0.1 to 77.3.255.25477.3.255.255262,142
6677.4.0.0/1477.4.0.1 to 77.7.255.25477.7.255.255262,142
6777.8.0.0/1477.8.0.1 to 77.11.255.25477.11.255.255262,142
6877.12.0.0/1477.12.0.1 to 77.15.255.25477.15.255.255262,142
6977.16.0.0/1477.16.0.1 to 77.19.255.25477.19.255.255262,142
7077.20.0.0/1477.20.0.1 to 77.23.255.25477.23.255.255262,142
7177.24.0.0/1477.24.0.1 to 77.27.255.25477.27.255.255262,142
7277.28.0.0/1477.28.0.1 to 77.31.255.25477.31.255.255262,142
7377.32.0.0/1477.32.0.1 to 77.35.255.25477.35.255.255262,142
7477.36.0.0/1477.36.0.1 to 77.39.255.25477.39.255.255262,142
7577.40.0.0/1477.40.0.1 to 77.43.255.25477.43.255.255262,142
7677.44.0.0/1477.44.0.1 to 77.47.255.25477.47.255.255262,142
7777.48.0.0/1477.48.0.1 to 77.51.255.25477.51.255.255262,142
7877.52.0.0/1477.52.0.1 to 77.55.255.25477.55.255.255262,142
7977.56.0.0/1477.56.0.1 to 77.59.255.25477.59.255.255262,142
8077.60.0.0/1477.60.0.1 to 77.63.255.25477.63.255.255262,142
8177.64.0.0/1477.64.0.1 to 77.67.255.25477.67.255.255262,142
8277.68.0.0/1477.68.0.1 to 77.71.255.25477.71.255.255262,142
8377.72.0.0/1477.72.0.1 to 77.75.255.25477.75.255.255262,142
8477.76.0.0/1477.76.0.1 to 77.79.255.25477.79.255.255262,142
8577.80.0.0/1477.80.0.1 to 77.83.255.25477.83.255.255262,142
8677.84.0.0/1477.84.0.1 to 77.87.255.25477.87.255.255262,142
8777.88.0.0/1477.88.0.1 to 77.91.255.25477.91.255.255262,142
8877.92.0.0/1477.92.0.1 to 77.95.255.25477.95.255.255262,142
8977.96.0.0/1477.96.0.1 to 77.99.255.25477.99.255.255262,142
9077.100.0.0/1477.100.0.1 to 77.103.255.25477.103.255.255262,142
9177.104.0.0/1477.104.0.1 to 77.107.255.25477.107.255.255262,142
9277.108.0.0/1477.108.0.1 to 77.111.255.25477.111.255.255262,142
9377.112.0.0/1477.112.0.1 to 77.115.255.25477.115.255.255262,142
9477.116.0.0/1477.116.0.1 to 77.119.255.25477.119.255.255262,142
9577.120.0.0/1477.120.0.1 to 77.123.255.25477.123.255.255262,142
9677.124.0.0/1477.124.0.1 to 77.127.255.25477.127.255.255262,142
9777.128.0.0/1477.128.0.1 to 77.131.255.25477.131.255.255262,142
9877.132.0.0/1477.132.0.1 to 77.135.255.25477.135.255.255262,142
9977.136.0.0/1477.136.0.1 to 77.139.255.25477.139.255.255262,142
10077.140.0.0/1477.140.0.1 to 77.143.255.25477.143.255.255262,142
10177.144.0.0/1477.144.0.1 to 77.147.255.25477.147.255.255262,142
10277.148.0.0/1477.148.0.1 to 77.151.255.25477.151.255.255262,142
10377.152.0.0/1477.152.0.1 to 77.155.255.25477.155.255.255262,142
10477.156.0.0/1477.156.0.1 to 77.159.255.25477.159.255.255262,142
10577.160.0.0/1477.160.0.1 to 77.163.255.25477.163.255.255262,142
10677.164.0.0/1477.164.0.1 to 77.167.255.25477.167.255.255262,142
10777.168.0.0/1477.168.0.1 to 77.171.255.25477.171.255.255262,142
10877.172.0.0/1477.172.0.1 to 77.175.255.25477.175.255.255262,142
10977.176.0.0/1477.176.0.1 to 77.179.255.25477.179.255.255262,142
11077.180.0.0/1477.180.0.1 to 77.183.255.25477.183.255.255262,142
11177.184.0.0/1477.184.0.1 to 77.187.255.25477.187.255.255262,142
11277.188.0.0/1477.188.0.1 to 77.191.255.25477.191.255.255262,142
11377.192.0.0/1477.192.0.1 to 77.195.255.25477.195.255.255262,142
11477.196.0.0/1477.196.0.1 to 77.199.255.25477.199.255.255262,142
11577.200.0.0/1477.200.0.1 to 77.203.255.25477.203.255.255262,142
11677.204.0.0/1477.204.0.1 to 77.207.255.25477.207.255.255262,142
11777.208.0.0/1477.208.0.1 to 77.211.255.25477.211.255.255262,142
11877.212.0.0/1477.212.0.1 to 77.215.255.25477.215.255.255262,142
11977.216.0.0/1477.216.0.1 to 77.219.255.25477.219.255.255262,142
12077.220.0.0/1477.220.0.1 to 77.223.255.25477.223.255.255262,142
12177.224.0.0/1477.224.0.1 to 77.227.255.25477.227.255.255262,142
12277.228.0.0/1477.228.0.1 to 77.231.255.25477.231.255.255262,142
12377.232.0.0/1477.232.0.1 to 77.235.255.25477.235.255.255262,142
12477.236.0.0/1477.236.0.1 to 77.239.255.25477.239.255.255262,142
12577.240.0.0/1477.240.0.1 to 77.243.255.25477.243.255.255262,142
12677.244.0.0/1477.244.0.1 to 77.247.255.25477.247.255.255262,142
12777.248.0.0/1477.248.0.1 to 77.251.255.25477.251.255.255262,142
12877.252.0.0/1477.252.0.1 to 77.255.255.25477.255.255.255262,142
12978.0.0.0/1478.0.0.1 to 78.3.255.25478.3.255.255262,142
13078.4.0.0/1478.4.0.1 to 78.7.255.25478.7.255.255262,142
13178.8.0.0/1478.8.0.1 to 78.11.255.25478.11.255.255262,142
13278.12.0.0/1478.12.0.1 to 78.15.255.25478.15.255.255262,142
13378.16.0.0/1478.16.0.1 to 78.19.255.25478.19.255.255262,142
13478.20.0.0/1478.20.0.1 to 78.23.255.25478.23.255.255262,142
13578.24.0.0/1478.24.0.1 to 78.27.255.25478.27.255.255262,142
13678.28.0.0/1478.28.0.1 to 78.31.255.25478.31.255.255262,142
13778.32.0.0/1478.32.0.1 to 78.35.255.25478.35.255.255262,142
13878.36.0.0/1478.36.0.1 to 78.39.255.25478.39.255.255262,142
13978.40.0.0/1478.40.0.1 to 78.43.255.25478.43.255.255262,142
14078.44.0.0/1478.44.0.1 to 78.47.255.25478.47.255.255262,142
14178.48.0.0/1478.48.0.1 to 78.51.255.25478.51.255.255262,142
14278.52.0.0/1478.52.0.1 to 78.55.255.25478.55.255.255262,142
14378.56.0.0/1478.56.0.1 to 78.59.255.25478.59.255.255262,142
14478.60.0.0/1478.60.0.1 to 78.63.255.25478.63.255.255262,142
14578.64.0.0/1478.64.0.1 to 78.67.255.25478.67.255.255262,142
14678.68.0.0/1478.68.0.1 to 78.71.255.25478.71.255.255262,142
14778.72.0.0/1478.72.0.1 to 78.75.255.25478.75.255.255262,142
14878.76.0.0/1478.76.0.1 to 78.79.255.25478.79.255.255262,142
14978.80.0.0/1478.80.0.1 to 78.83.255.25478.83.255.255262,142
15078.84.0.0/1478.84.0.1 to 78.87.255.25478.87.255.255262,142
15178.88.0.0/1478.88.0.1 to 78.91.255.25478.91.255.255262,142
15278.92.0.0/1478.92.0.1 to 78.95.255.25478.95.255.255262,142
15378.96.0.0/1478.96.0.1 to 78.99.255.25478.99.255.255262,142
15478.100.0.0/1478.100.0.1 to 78.103.255.25478.103.255.255262,142
15578.104.0.0/1478.104.0.1 to 78.107.255.25478.107.255.255262,142
15678.108.0.0/1478.108.0.1 to 78.111.255.25478.111.255.255262,142
15778.112.0.0/1478.112.0.1 to 78.115.255.25478.115.255.255262,142
15878.116.0.0/1478.116.0.1 to 78.119.255.25478.119.255.255262,142
15978.120.0.0/1478.120.0.1 to 78.123.255.25478.123.255.255262,142
16078.124.0.0/1478.124.0.1 to 78.127.255.25478.127.255.255262,142
16178.128.0.0/1478.128.0.1 to 78.131.255.25478.131.255.255262,142
16278.132.0.0/1478.132.0.1 to 78.135.255.25478.135.255.255262,142
16378.136.0.0/1478.136.0.1 to 78.139.255.25478.139.255.255262,142
16478.140.0.0/1478.140.0.1 to 78.143.255.25478.143.255.255262,142
16578.144.0.0/1478.144.0.1 to 78.147.255.25478.147.255.255262,142
16678.148.0.0/1478.148.0.1 to 78.151.255.25478.151.255.255262,142
16778.152.0.0/1478.152.0.1 to 78.155.255.25478.155.255.255262,142
16878.156.0.0/1478.156.0.1 to 78.159.255.25478.159.255.255262,142
16978.160.0.0/1478.160.0.1 to 78.163.255.25478.163.255.255262,142
17078.164.0.0/1478.164.0.1 to 78.167.255.25478.167.255.255262,142
17178.168.0.0/1478.168.0.1 to 78.171.255.25478.171.255.255262,142
17278.172.0.0/1478.172.0.1 to 78.175.255.25478.175.255.255262,142
17378.176.0.0/1478.176.0.1 to 78.179.255.25478.179.255.255262,142
17478.180.0.0/1478.180.0.1 to 78.183.255.25478.183.255.255262,142
17578.184.0.0/1478.184.0.1 to 78.187.255.25478.187.255.255262,142
17678.188.0.0/1478.188.0.1 to 78.191.255.25478.191.255.255262,142
17778.192.0.0/1478.192.0.1 to 78.195.255.25478.195.255.255262,142
17878.196.0.0/1478.196.0.1 to 78.199.255.25478.199.255.255262,142
17978.200.0.0/1478.200.0.1 to 78.203.255.25478.203.255.255262,142
18078.204.0.0/1478.204.0.1 to 78.207.255.25478.207.255.255262,142
18178.208.0.0/1478.208.0.1 to 78.211.255.25478.211.255.255262,142
18278.212.0.0/1478.212.0.1 to 78.215.255.25478.215.255.255262,142
18378.216.0.0/1478.216.0.1 to 78.219.255.25478.219.255.255262,142
18478.220.0.0/1478.220.0.1 to 78.223.255.25478.223.255.255262,142
18578.224.0.0/1478.224.0.1 to 78.227.255.25478.227.255.255262,142
18678.228.0.0/1478.228.0.1 to 78.231.255.25478.231.255.255262,142
18778.232.0.0/1478.232.0.1 to 78.235.255.25478.235.255.255262,142
18878.236.0.0/1478.236.0.1 to 78.239.255.25478.239.255.255262,142
18978.240.0.0/1478.240.0.1 to 78.243.255.25478.243.255.255262,142
19078.244.0.0/1478.244.0.1 to 78.247.255.25478.247.255.255262,142
19178.248.0.0/1478.248.0.1 to 78.251.255.25478.251.255.255262,142
19278.252.0.0/1478.252.0.1 to 78.255.255.25478.255.255.255262,142
19379.0.0.0/1479.0.0.1 to 79.3.255.25479.3.255.255262,142
19479.4.0.0/1479.4.0.1 to 79.7.255.25479.7.255.255262,142
19579.8.0.0/1479.8.0.1 to 79.11.255.25479.11.255.255262,142
19679.12.0.0/1479.12.0.1 to 79.15.255.25479.15.255.255262,142
19779.16.0.0/1479.16.0.1 to 79.19.255.25479.19.255.255262,142
19879.20.0.0/1479.20.0.1 to 79.23.255.25479.23.255.255262,142
19979.24.0.0/1479.24.0.1 to 79.27.255.25479.27.255.255262,142
20079.28.0.0/1479.28.0.1 to 79.31.255.25479.31.255.255262,142
20179.32.0.0/1479.32.0.1 to 79.35.255.25479.35.255.255262,142
20279.36.0.0/1479.36.0.1 to 79.39.255.25479.39.255.255262,142
20379.40.0.0/1479.40.0.1 to 79.43.255.25479.43.255.255262,142
20479.44.0.0/1479.44.0.1 to 79.47.255.25479.47.255.255262,142
20579.48.0.0/1479.48.0.1 to 79.51.255.25479.51.255.255262,142
20679.52.0.0/1479.52.0.1 to 79.55.255.25479.55.255.255262,142
20779.56.0.0/1479.56.0.1 to 79.59.255.25479.59.255.255262,142
20879.60.0.0/1479.60.0.1 to 79.63.255.25479.63.255.255262,142
20979.64.0.0/1479.64.0.1 to 79.67.255.25479.67.255.255262,142
21079.68.0.0/1479.68.0.1 to 79.71.255.25479.71.255.255262,142
21179.72.0.0/1479.72.0.1 to 79.75.255.25479.75.255.255262,142
21279.76.0.0/1479.76.0.1 to 79.79.255.25479.79.255.255262,142
21379.80.0.0/1479.80.0.1 to 79.83.255.25479.83.255.255262,142
21479.84.0.0/1479.84.0.1 to 79.87.255.25479.87.255.255262,142
21579.88.0.0/1479.88.0.1 to 79.91.255.25479.91.255.255262,142
21679.92.0.0/1479.92.0.1 to 79.95.255.25479.95.255.255262,142
21779.96.0.0/1479.96.0.1 to 79.99.255.25479.99.255.255262,142
21879.100.0.0/1479.100.0.1 to 79.103.255.25479.103.255.255262,142
21979.104.0.0/1479.104.0.1 to 79.107.255.25479.107.255.255262,142
22079.108.0.0/1479.108.0.1 to 79.111.255.25479.111.255.255262,142
22179.112.0.0/1479.112.0.1 to 79.115.255.25479.115.255.255262,142
22279.116.0.0/1479.116.0.1 to 79.119.255.25479.119.255.255262,142
22379.120.0.0/1479.120.0.1 to 79.123.255.25479.123.255.255262,142
22479.124.0.0/1479.124.0.1 to 79.127.255.25479.127.255.255262,142
22579.128.0.0/1479.128.0.1 to 79.131.255.25479.131.255.255262,142
22679.132.0.0/1479.132.0.1 to 79.135.255.25479.135.255.255262,142
22779.136.0.0/1479.136.0.1 to 79.139.255.25479.139.255.255262,142
22879.140.0.0/1479.140.0.1 to 79.143.255.25479.143.255.255262,142
22979.144.0.0/1479.144.0.1 to 79.147.255.25479.147.255.255262,142
23079.148.0.0/1479.148.0.1 to 79.151.255.25479.151.255.255262,142
23179.152.0.0/1479.152.0.1 to 79.155.255.25479.155.255.255262,142
23279.156.0.0/1479.156.0.1 to 79.159.255.25479.159.255.255262,142
23379.160.0.0/1479.160.0.1 to 79.163.255.25479.163.255.255262,142
23479.164.0.0/1479.164.0.1 to 79.167.255.25479.167.255.255262,142
23579.168.0.0/1479.168.0.1 to 79.171.255.25479.171.255.255262,142
23679.172.0.0/1479.172.0.1 to 79.175.255.25479.175.255.255262,142
23779.176.0.0/1479.176.0.1 to 79.179.255.25479.179.255.255262,142
23879.180.0.0/1479.180.0.1 to 79.183.255.25479.183.255.255262,142
23979.184.0.0/1479.184.0.1 to 79.187.255.25479.187.255.255262,142
24079.188.0.0/1479.188.0.1 to 79.191.255.25479.191.255.255262,142
24179.192.0.0/1479.192.0.1 to 79.195.255.25479.195.255.255262,142
24279.196.0.0/1479.196.0.1 to 79.199.255.25479.199.255.255262,142
24379.200.0.0/1479.200.0.1 to 79.203.255.25479.203.255.255262,142
24479.204.0.0/1479.204.0.1 to 79.207.255.25479.207.255.255262,142
24579.208.0.0/1479.208.0.1 to 79.211.255.25479.211.255.255262,142
24679.212.0.0/1479.212.0.1 to 79.215.255.25479.215.255.255262,142
24779.216.0.0/1479.216.0.1 to 79.219.255.25479.219.255.255262,142
24879.220.0.0/1479.220.0.1 to 79.223.255.25479.223.255.255262,142
24979.224.0.0/1479.224.0.1 to 79.227.255.25479.227.255.255262,142
25079.228.0.0/1479.228.0.1 to 79.231.255.25479.231.255.255262,142
25179.232.0.0/1479.232.0.1 to 79.235.255.25479.235.255.255262,142
25279.236.0.0/1479.236.0.1 to 79.239.255.25479.239.255.255262,142
25379.240.0.0/1479.240.0.1 to 79.243.255.25479.243.255.255262,142
25479.244.0.0/1479.244.0.1 to 79.247.255.25479.247.255.255262,142
25579.248.0.0/1479.248.0.1 to 79.251.255.25479.251.255.255262,142
25679.252.0.0/1479.252.0.1 to 79.255.255.25479.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses